cURL
curl -X GET "https://app.cotool.ai/api/orca/alert-groups" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json"import requests
url = "https://app.cotool.ai/api/orca/alert-groups"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.cotool.ai/api/orca/alert-groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://app.cotool.ai/api/orca/alert-groups")
.header("Authorization", "Bearer <token>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.cotool.ai/api/orca/alert-groups"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"groups": [
{
"groupId": "<string>",
"title": "<string>",
"description": "<string>",
"executionPlan": [
"<string>"
],
"alertIds": [
"<string>"
],
"alertCount": 123,
"codeRepoUrl": "<string>",
"serviceRequiringFix": "<string>",
"inventoryTypes": [
"<string>"
],
"relevanceScore": 123
}
]
}{
"error": "<string>",
"issues": [
{}
]
}{
"error": "<string>"
}{
"error": "<string>",
"missingPerms": [
"<string>"
]
}{
"error": "<string>"
}Orca Alerts
List Orca alert groups
Retrieve a list of grouped Orca Security alerts sorted by relevance score (severity weight × alert count)
GET
/
api
/
orca
/
alert-groups
cURL
curl -X GET "https://app.cotool.ai/api/orca/alert-groups" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json"import requests
url = "https://app.cotool.ai/api/orca/alert-groups"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.cotool.ai/api/orca/alert-groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://app.cotool.ai/api/orca/alert-groups")
.header("Authorization", "Bearer <token>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.cotool.ai/api/orca/alert-groups"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"groups": [
{
"groupId": "<string>",
"title": "<string>",
"description": "<string>",
"executionPlan": [
"<string>"
],
"alertIds": [
"<string>"
],
"alertCount": 123,
"codeRepoUrl": "<string>",
"serviceRequiringFix": "<string>",
"inventoryTypes": [
"<string>"
],
"relevanceScore": 123
}
]
}{
"error": "<string>",
"issues": [
{}
]
}{
"error": "<string>"
}{
"error": "<string>",
"missingPerms": [
"<string>"
]
}{
"error": "<string>"
}Was this page helpful?
⌘I